# Uses of Enum Class
org.apache.sysds.api.mlcontext.MLContext.ExplainLevel

Packages that use MLContext.ExplainLevel
Package
Description
org.apache.sysds.api.mlcontext

## Uses of MLContext.ExplainLevel in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return MLContext.ExplainLevel
Modifier and Type
Method
Description
`static MLContext.ExplainLevel`
MLContext.ExplainLevel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MLContext.ExplainLevel[]`
MLContext.ExplainLevel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.api.mlcontext with parameters of type MLContext.ExplainLevel
Modifier and Type
Method
Description
`void`
MLContext.`setExplainLevel(MLContext.ExplainLevel explainLevel)`
Set the level of program explanation that should be displayed if explain is set to true.
`void`
ScriptExecutor.`setExplainLevel(MLContext.ExplainLevel explainLevel)`
Set the level of program explanation that should be displayed if explain is set to true.